Bug 50945 - AJP: Missing support for ErrorOverride
Summary: AJP: Missing support for ErrorOverride
Status: REOPENED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy_ajp (show other bugs)
Version: 2.2-HEAD
Hardware: PC All
: P2 normal with 4 votes (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: PatchAvailable
: 41278 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-03-18 12:40 UTC by Peter Pramberger
Modified: 2012-04-20 18:18 UTC (History)
4 users (show)



Attachments
Patch (9.65 KB, patch)
2011-03-18 12:40 UTC, Peter Pramberger
Details | Diff
Patch (review-friendly with WS changes stripped) (5.85 KB, patch)
2011-03-18 12:41 UTC, Peter Pramberger
Details | Diff
Adopted orignal patch for trunk (4.50 KB, patch)
2011-11-22 22:20 UTC, Alexander Lazic
Details | Diff
Updated Patch for 2.2.22 (9.70 KB, patch)
2012-04-20 18:18 UTC, Peter Pramberger
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Pramberger 2011-03-18 12:40:18 UTC
As mod_proxy_ajp currently lacks the ErrorOverride feature as in mod_proxy_http (which is exactly what I'd need now), I took the opportunity to "port" it back from mod_proxy_http.

While it seems to work so far without breaking existing functionality (tested by accessing existing and non-existing URLs with ErrorOverride enabled and disabled) it would be great if someone can review it in case I've missed something...

Note that it will apply cleanly to 2.3.18 too, however I have no possibility
to test it yet.
Comment 1 Peter Pramberger 2011-03-18 12:40:55 UTC
Created attachment 26785 [details]
Patch
Comment 2 Peter Pramberger 2011-03-18 12:41:54 UTC
Created attachment 26786 [details]
Patch (review-friendly with WS changes stripped)
Comment 3 Jim Jagielski 2011-04-01 15:24:33 UTC
Will be in 2.3.12
Comment 4 Jim Riggs 2011-10-13 20:08:29 UTC
*** Bug 41278 has been marked as a duplicate of this bug. ***
Comment 5 Bradley Wagner 2011-10-27 15:03:39 UTC
Is there a way to build this specific module from source? I'm on Apache 2.2.21 but would like to be able to use the ProxyErrorOverride with connections proxied over AJP.

Thanks!
Comment 6 Alexander Lazic 2011-11-22 22:20:04 UTC
Created attachment 27976 [details]
Adopted orignal patch for trunk
Comment 7 Igor Galić 2011-11-22 22:58:12 UTC
proposed in r1205215
Comment 8 Igor Galić 2011-11-22 22:59:00 UTC
I don't suppose Bugzilla has one of them fancy backport items...
Comment 9 Peter Pramberger 2012-04-20 18:18:47 UTC
Created attachment 28650 [details]
Updated Patch for 2.2.22